#ifndef _WIZARD_H_
#define _WIZARD_H_



#define MAX_WIZARD_COUNT  10
class CWizard:public CObject
{
private:
       int  m_nOrder;
       int  m_nCount;
       int FAR (*m_psFc[MAX_WIZARD_COUNT])(void *);
//private:
//	RECT m_ScreenRect;
public:
       int   DoWizard();

public:
/*
	   HANDLE   CreateObject(int nX, int nY, int nWidth,
		int nHeight, const char FAR *pStr);
       BOOL  Center();
*/
       BOOL  AddPage(int FAR (*pFc)(void *));
       int   GetOrder() {return (m_nOrder);};
       int   GetPages() {return (m_nCount);};
       void  SetOrder(int nOrder) {m_nOrder = 1;}
//public:
//       void  SetRect(RECT *pRc) {m_ScreenRect = *pRc;}
//       RECT* GetRect(){return(&m_ScreenRect);}
public:

     CWizard();
     ~CWizard();
};

#endif